#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1406\r"; sleep 2;
echo -e "write (0,1) -1368\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1403\r"; sleep 2;
echo -e "write (0,4) -1384\r"; sleep 2;
echo -e "write (0,5) -1480\r"; sleep 2;
echo -e "write (0,6) -1612\r"; sleep 2;
echo -e "write (0,9) -1552\r"; sleep 2;
echo -e "write (0,10) -1432\r"; sleep 2;
echo -e "write (0,11) -1330\r"; sleep 2;
echo -e "write (0,12) -1414\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1491\r"; sleep 2;
echo -e "write (1,0) -1435\r"; sleep 2;
echo -e "write (1,1) -1386\r"; sleep 2;
echo -e "write (1,2) -1453\r"; sleep 2;
echo -e "write (1,3) -1521\r"; sleep 2;
echo -e "write (1,4) -1501\r"; sleep 2;
echo -e "write (1,5) -1304\r"; sleep 2;
echo -e "write (1,6) -1539\r"; sleep 2;
echo -e "write (1,9) -1323\r"; sleep 2;
echo -e "write (1,10) -1394\r"; sleep 2;
echo -e "write (1,11) -1262\r"; sleep 2;
echo -e "write (1,12) -1460\r"; sleep 2;
echo -e "write (1,13) -1318\r"; sleep 2;
echo -e "write (1,14) -1498\r"; sleep 2;
echo -e "write (2,0) -1470\r"; sleep 2;
echo -e "write (2,1) -1427\r"; sleep 2;
echo -e "write (2,2) -1396\r"; sleep 2;
echo -e "write (2,3) -1609\r"; sleep 2;
echo -e "write (2,4) -1544\r"; sleep 2;
echo -e "write (2,5) -1480\r"; sleep 2;
echo -e "write (2,6) -1366\r"; sleep 2;
echo -e "write (2,9) -1585\r"; sleep 2;
echo -e "write (2,10) -1545\r"; sleep 2;
echo -e "write (2,11) -1205\r"; sleep 2;
echo -e "write (2,12) -1389\r"; sleep 2;
echo -e "write (2,14) -1551\r"; sleep 2;
echo -e "write (3,0) -1385\r"; sleep 2;
echo -e "write (3,1) -1227\r"; sleep 2;
echo -e "write (3,2) -1288\r"; sleep 2;
echo -e "write (3,3) -1351\r"; sleep 2;
echo -e "write (3,4) -1339\r"; sleep 2;
echo -e "write (3,5) -1301\r"; sleep 2;
echo -e "write (3,6) -1226\r"; sleep 2;
echo -e "write (3,9) -1400\r"; sleep 2;
echo -e "write (3,10) -1508\r"; sleep 2;
echo -e "write (3,11) -1342\r"; sleep 2;
echo -e "write (3,12) -1595\r"; sleep 2;
echo -e "write (3,13) -1272\r"; sleep 2;
echo -e "write (3,14) -1399\r"; sleep 2;
echo -e "write (4,0) -1621\r"; sleep 2;
echo -e "write (4,1) -1391\r"; sleep 2;
echo -e "write (4,2) -1450\r"; sleep 2;
echo -e "write (4,3) -1581\r"; sleep 2;
echo -e "write (4,4) -1512\r"; sleep 2;
echo -e "write (4,5) -1300\r"; sleep 2;
echo -e "write (4,6) -1291\r"; sleep 2;
echo -e "write (4,9) -1543\r"; sleep 2;
echo -e "write (4,10) -1525\r"; sleep 2;
echo -e "write (4,11) -1358\r"; sleep 2;
echo -e "write (4,12) -1601\r"; sleep 2;
echo -e "write (4,13) -1418\r"; sleep 2;
echo -e "write (4,14) -1310\r"; sleep 2;
echo -e "write (5,0) -1419\r"; sleep 2;
echo -e "write (5,1) -1306\r"; sleep 2;
echo -e "write (5,2) -1314\r"; sleep 2;
echo -e "write (5,3) -1330\r"; sleep 2;
echo -e "write (5,4) -1541\r"; sleep 2;
echo -e "write (5,5) -1383\r"; sleep 2;
echo -e "write (5,6) -1394\r"; sleep 2;
echo -e "write (5,9) -1220\r"; sleep 2;
echo -e "write (5,10) -1535\r"; sleep 2;
echo -e "write (5,11) -1336\r"; sleep 2;
echo -e "write (5,12) -1316\r"; sleep 2;
echo -e "write (5,13) -1609\r"; sleep 2;
echo -e "write (5,14) -1531\r"; sleep 2;
echo -e "write (6,0) -1565\r"; sleep 2;
echo -e "write (6,1) -1669\r"; sleep 2;
echo -e "write (6,2) -1352\r"; sleep 2;
echo -e "write (6,3) -1421\r"; sleep 2;
echo -e "write (6,4) -1335\r"; sleep 2;
echo -e "write (6,5) -1216\r"; sleep 2;
echo -e "write (6,6) -1454\r"; sleep 2;
echo -e "write (6,9) -1533\r"; sleep 2;
echo -e "write (6,10) -1515\r"; sleep 2;
echo -e "write (6,11) -1474\r"; sleep 2;
echo -e "write (6,12) -1373\r"; sleep 2;
echo -e "write (6,13) -1472\r"; sleep 2;
echo -e "write (6,14) -1357\r"; sleep 2;
echo -e "write (7,0) -1329\r"; sleep 2;
echo -e "write (7,1) -1342\r"; sleep 2;
echo -e "write (7,2) -1153\r"; sleep 2;
echo -e "write (7,3) -1445\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1440\r"; sleep 2;
echo -e "write (7,6) -1558\r"; sleep 2;
echo -e "write (7,9) -1329\r"; sleep 2;
echo -e "write (7,10) -1483\r"; sleep 2;
echo -e "write (7,11) -1382\r"; sleep 2;
echo -e "write (7,12) -1186\r"; sleep 2;
echo -e "write (7,13) -1513\r"; sleep 2;
echo -e "write (7,14) -1457\r"; sleep 2;
echo -e "write (8,0) -1202\r"; sleep 2;
echo -e "write (8,1) -1445\r"; sleep 2;
echo -e "write (8,2) -1196\r"; sleep 2;
echo -e "write (8,3) -1371\r"; sleep 2;
echo -e "write (8,4) -1310\r"; sleep 2;
echo -e "write (8,5) -1359\r"; sleep 2;
echo -e "write (8,6) -1431\r"; sleep 2;
echo -e "write (8,9) -1444\r"; sleep 2;
echo -e "write (8,10) -1394\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1279\r"; sleep 2;
echo -e "write (8,13) -1255\r"; sleep 2;
echo -e "write (8,14) -1600\r"; sleep 2;
echo -e "write (9,0) -1180\r"; sleep 2;
echo -e "write (9,1) -1263\r"; sleep 2;
echo -e "write (9,2) -1171\r"; sleep 2;
echo -e "write (9,3) -1199\r"; sleep 2;
echo -e "write (9,4) -1266\r"; sleep 2;
echo -e "write (9,5) -1428\r"; sleep 2;
echo -e "write (9,6) -1327\r"; sleep 2;
echo -e "write (9,9) -1421\r"; sleep 2;
echo -e "write (9,10) -1149\r"; sleep 2;
echo -e "write (9,11) -1584\r"; sleep 2;
echo -e "write (9,12) -1485\r"; sleep 2;
echo -e "write (9,13) -1342\r"; sleep 2;
echo -e "write (9,14) -1326\r"; sleep 2;
echo -e "write (10,0) -1256\r"; sleep 2;
echo -e "write (10,1) -1322\r"; sleep 2;
echo -e "write (10,2) -1454\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1453\r"; sleep 2;
echo -e "write (10,5) -1472\r"; sleep 2;
echo -e "write (10,6) -1304\r"; sleep 2;
echo -e "write (10,9) -1521\r"; sleep 2;
echo -e "write (10,10) -1512\r"; sleep 2;
echo -e "write (10,11) -1397\r"; sleep 2;
echo -e "write (10,12) -1315\r"; sleep 2;
echo -e "write (10,13) -1565\r"; sleep 2;
echo -e "write (10,14) -1368\r"; sleep 2;
echo -e "write (11,0) -1344\r"; sleep 2;
echo -e "write (11,1) -1225\r"; sleep 2;
echo -e "write (11,2) -1427\r"; sleep 2;
echo -e "write (11,3) -1294\r"; sleep 2;
echo -e "write (11,4) -1185\r"; sleep 2;
echo -e "write (11,5) -1357\r"; sleep 2;
echo -e "write (11,6) -1427\r"; sleep 2;
echo -e "write (11,9) -1540\r"; sleep 2;
echo -e "write (11,10) -1287\r"; sleep 2;
echo -e "write (11,11) -1261\r"; sleep 2;
echo -e "write (11,12) -1218\r"; sleep 2;
echo -e "write (11,13) -1297\r"; sleep 2;
echo -e "write (11,14) -1250\r"; sleep 2;
echo -e "write (12,0) -1206\r"; sleep 2;
echo -e "write (12,1) -1239\r"; sleep 2;
echo -e "write (12,2) -1328\r"; sleep 2;
echo -e "write (12,3) -1305\r"; sleep 2;
echo -e "write (12,4) -1401\r"; sleep 2;
echo -e "write (12,5) -1288\r"; sleep 2;
echo -e "write (12,6) -1289\r"; sleep 2;
echo -e "write (12,9) -1257\r"; sleep 2;
echo -e "write (12,10) -1297\r"; sleep 2;
echo -e "write (12,11) -1209\r"; sleep 2;
echo -e "write (12,12) -1439\r"; sleep 2;
echo -e "write (12,13) -1607\r"; sleep 2;
echo -e "write (12,14) -1333\r"; sleep 2;
echo -e "write (13,0) -1409\r"; sleep 2;
echo -e "write (13,1) -1514\r"; sleep 2;
echo -e "write (13,2) -1500\r"; sleep 2;
echo -e "write (13,3) -1435\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1525\r"; sleep 2;
echo -e "write (13,6) -1431\r"; sleep 2;
echo -e "write (13,9) -1423\r"; sleep 2;
echo -e "write (13,10) -1471\r"; sleep 2;
echo -e "write (13,11) -1469\r"; sleep 2;
echo -e "write (13,12) -1466\r"; sleep 2;
echo -e "write (13,13) -1616\r"; sleep 2;
echo -e "write (13,14) -1649\r"; sleep 2;
echo -e "write (14,0) -1425\r"; sleep 2;
echo -e "write (14,1) -1322\r"; sleep 2;
echo -e "write (14,2) -1418\r"; sleep 2;
echo -e "write (14,3) -1475\r"; sleep 2;
echo -e "write (14,4) -1383\r"; sleep 2;
echo -e "write (14,5) -1323\r"; sleep 2;
echo -e "write (14,6) -1186\r"; sleep 2;
echo -e "write (14,9) -1345\r"; sleep 2;
echo -e "write (14,10) -1175\r"; sleep 2;
echo -e "write (14,11) -1263\r"; sleep 2;
echo -e "write (14,12) -1355\r"; sleep 2;
echo -e "write (14,13) -1467\r"; sleep 2;
echo -e "write (14,14) -1206\r"; sleep 2;
echo -e "write (15,0) -1324\r"; sleep 2;
echo -e "write (15,1) -1209\r"; sleep 2;
echo -e "write (15,2) -900\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
